Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.10
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.vmplugin.v6
[Java] Class PluginDefaultGroovyMethods

    java.lang.Object
      org.codehaus.groovy.runtime.DefaultGroovyMethodsSupport
          org.codehaus.groovy.vmplugin.v6.PluginDefaultGroovyMethods

    public class PluginDefaultGroovyMethods
    extends DefaultGroovyMethodsSupport

This class defines new Java 6 specific groovy methods which extend the normal JDK classes inside the Groovy environment. Static methods are used with the first parameter the destination class.

Method Summary
`static Object` | `eval(ScriptEngine self, String script, Binding binding)` Executes the specified script.
`static Object` | `eval(ScriptEngine self, Reader reader, Binding binding)` Same as `eval(ScriptEngine, Reader, Binding)` except that the source of the script is provided as a `Reader`

Methods inherited from class DefaultGroovyMethodsSupport
cloneSimilarCollection, cloneSimilarMap, closeQuietly, closeWithWarning, createSimilarCollection, createSimilarCollection, createSimilarList, createSimilarMap, createSimilarOrDefaultCollection, createSimilarSet, normaliseIndex, sameType, subListBorders, subListBorders

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Method Detail

### eval

    public static Object eval(ScriptEngine self, String script, Binding binding)

  Executes the specified script. The default `ScriptContext` for the `ScriptEngine` is used. Variables from a Groovy `Binding` are made available in the default scope of the `Bindings` of the `ScriptEngine`. Resulting variables in the `Bindings` are returned back to the Groovy `Binding`.
  throws:
    javax.script.ScriptException if error occurs in script
  throws:
    NullPointerException if the argument is null
  Parameters:
    `self` - A ScriptEngine
    `script` - The script language source to be executed
    `binding` - A Groovy binding
  Returns:
    The value returned from the execution of the script (if supported by the Script engine)
  See Also:
    eval(javax.script.ScriptEngine, java.io.Reader, groovy.lang.Binding)
  Since:
    1.7.3

### eval

    public static Object eval(ScriptEngine self, Reader reader, Binding binding)

  Same as `eval(ScriptEngine, Reader, Binding)` except that the source of the script is provided as a `Reader`
  throws:
    javax.script.ScriptException if an error occurs in script
  throws:
    NullPointerException if the argument is null
  Parameters:
    `self` - A ScriptEngine
    `reader` - The source of the script
    `binding` - A Groovy binding
  Returns:
    The value returned by the script
  See Also:
    eval(javax.script.ScriptEngine, java.lang.String, groovy.lang.Binding)
  Since:
    1.7.3

Copyright © 2003-2010 The Codehaus. All rights reserved.